# Created by pyp2rpm-3.3.7
%global pypi_name sphinxext-opengraph

Name:           python-%{pypi_name}
Version:        0.7.5
Release:        %mkrel 1
Summary:        Sphinx Extension to enable OGP support
Group:          Development/Python
License:        None
URL:            https://github.com/wpilibsuite/sphinxext-opengraph
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(setuptools-scm)

%description
Sphinx extension to generate OpenGraph metadata (https://ogp.me/)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Sphinx extension to generate OpenGraph metadata (https://ogp.me/)

%prep
%autosetup -n %{pypi_name}-%{version}

# Fix version
sed -ie '/version/s/"main"/"%{version}"/' setup.py

#%%generate_buildrequires
#%%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'sphinxext*'

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jan 06 2023 wally <wally> 0.7.5-1.mga9
+ Revision: 1930632
- new version 0.7.5

* Sun Dec 04 2022 wally <wally> 0.7.3-1.mga9
+ Revision: 1917761
- new version 0.7.3

* Mon Aug 08 2022 wally <wally> 0.6.3-1.mga9
+ Revision: 1876164
- new version 0.6.3
- switch build to use pyproject RPM macros
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 0.4.2-2.mga9
+ Revision: 1773778
- Rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 0.4.2-1.mga9
+ Revision: 1743480
- imported package python-sphinxext-opengraph

